package com.ffii.lioner.modules.lioner.userActionLog.req;

import jakarta.validation.constraints.Size;

public class UpdateUserActionLogReq {
    
    private Long id;

    @Size(max = 255)
    String actionDesc;

    @Size(max = 50)
    String refType;

    Long refId;

    Long userId;

    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

    public String getActionDesc() {
        return actionDesc;
    }

    public void setActionDesc(String actionDesc) {
        this.actionDesc = actionDesc;
    }

    public String getRefType() {
        return refType;
    }

    public void setRefType(String refType) {
        this.refType = refType;
    }

    public Long getRefId() {
        return refId;
    }

    public void setRefId(Long refId) {
        this.refId = refId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    

}
